package it.integry.integrywmsnative.core.utility;

import java.util.HashMap;

public class UtilityHashMap {


    public static<T> T getValueIfExists(HashMap map, Object key){
        T value = null;
        if(map != null && map.containsKey(key)) value = (T) map.get(key);
        return value;
    }

    public static<T> T getValue(HashMap map, Object key){
        return (T) map.get(key);
    }


}
